package com.dcit.danger.dao;

import com.dcit.danger.dto.AlarmInfoDTO;
import com.dcit.danger.model.AlarmInfo;
import com.dcit.danger.model.AlarmInfoExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface AlarmInfoMapper {
    long countByExample(AlarmInfoExample example);

    int deleteByExample(AlarmInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(AlarmInfo record);

    int insertSelective(AlarmInfo record);

    List<AlarmInfo> selectByExample(AlarmInfoExample example);

    AlarmInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") AlarmInfo record, @Param("example") AlarmInfoExample example);

    int updateByExample(@Param("record") AlarmInfo record, @Param("example") AlarmInfoExample example);

    int updateByPrimaryKeySelective(AlarmInfo record);

    int updateByPrimaryKey(AlarmInfo record);
    
    List<AlarmInfoDTO> selectAlarmInfoList(Map<String, Object> map);
}